org.apache.mina.transport.socket.apr

## Class AprSession

- java.lang.Object
- - org.apache.mina.core.session.AbstractIoSession
  - - org.apache.mina.transport.socket.apr.AprSession

- All Implemented Interfaces:
    IoSession

      public abstract class AprSession
      extends AbstractIoSession

  An abstract `IoSession` serving of base for APR based sessions.
  Author:
    Apache MINA Project

- - ### Field Summary

    - ### Fields inherited from class org.apache.mina.core.session.AbstractIoSession

      `config`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IoFilterChain` | `getFilterChain()`
    `InetSocketAddress` | `getLocalAddress()` Returns the socket address of local machine which is associated with this session.
    `IoProcessor<AprSession>` | `getProcessor()`
    `InetSocketAddress` | `getRemoteAddress()` Returns the socket address of remote peer.
    `InetSocketAddress` | `getServiceAddress()` Returns the socket address of the `IoService` listens to to manage this session.

    - ### Methods inherited from class org.apache.mina.core.session.AbstractIoSession

      `close, close, containsAttribute, decreaseReadBufferSize, decreaseScheduledBytesAndMessages, equals, getAttachment, getAttribute, getAttribute, getAttributeKeys, getAttributeMap, getBothIdleCount, getCloseFuture, getConfig, getCreationTime, getCurrentWriteMessage, getCurrentWriteRequest, getHandler, getId, getIdleCount, getLastBothIdleTime, getLastIdleTime, getLastIoTime, getLastReaderIdleTime, getLastReadTime, getLastWriterIdleTime, getLastWriteTime, getReadBytes, getReadBytesThroughput, getReaderIdleCount, getReadMessages, getReadMessagesThroughput, getScheduledWriteBytes, getScheduledWriteMessages, getService, getWriteRequestQueue, getWriterIdleCount, getWrittenBytes, getWrittenBytesThroughput, getWrittenMessages, getWrittenMessagesThroughput, hashCode, increaseIdleCount, increaseReadBufferSize, increaseReadBytes, increaseReadMessages, increaseScheduledWriteBytes, increaseScheduledWriteMessages, increaseWrittenBytes, increaseWrittenMessages, isBothIdle, isClosing, isConnected, isIdle, isReaderIdle, isReadSuspended, isScheduledForFlush, isWriterIdle, isWriteSuspended, notifyIdleness, notifyIdleSession, offerClosedReadFuture, offerFailedReadFuture, offerReadFuture, read, removeAttribute, removeAttribute, replaceAttribute, resumeRead, resumeWrite, scheduledForFlush, setAttachment, setAttribute, setAttribute, setAttributeIfAbsent, setAttributeIfAbsent, setAttributeMap, setCurrentWriteRequest, setScheduledForFlush, setScheduledWriteBytes, setScheduledWriteMessages, setWriteRequestQueue, suspendRead, suspendWrite, toString, unscheduledForFlush, updateThroughput, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.mina.core.session.IoSession

      `getTransportMetadata`

- - ### Method Detail

    - #### getProcessor

          public IoProcessor<AprSession> getProcessor()

      Specified by:
        `getProcessor` in class `AbstractIoSession`
      Returns:
        The associated IoProcessor for this session

    - #### getLocalAddress

          public InetSocketAddress getLocalAddress()

      Returns the socket address of local machine which is associated with this session.

    - #### getRemoteAddress

          public InetSocketAddress getRemoteAddress()

      Returns the socket address of remote peer.

    - #### getFilterChain

          public IoFilterChain getFilterChain()

      Returns:
        the filter chain that only affects this session.

    - #### getServiceAddress

          public InetSocketAddress getServiceAddress()

      Returns the socket address of the `IoService` listens to to manage this session. If this session is managed by `IoAcceptor`, it returns the `SocketAddress` which is specified as a parameter of `IoAcceptor.bind()`. If this session is managed by `IoConnector`, this method returns the same address with that of `IoSession.getRemoteAddress()`.
      Specified by:
        `getServiceAddress` in interface `IoSession`
      Overrides:
        `getServiceAddress` in class `AbstractIoSession`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.